linux: 4.2.0-16.19 -proposed tracker

Bug #1504143 reported by Tim Gardner on 2015-10-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel Development Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Prepare-package
Medium
Tim Gardner
Prepare-package-meta
Medium
Tim Gardner
Prepare-package-signed
Medium
Tim Gardner
Promote-to-proposed
Medium
Canonical Kernel Team
Promote-to-release
Medium
Ubuntu Package Archive Administrators
linux (Ubuntu)
Medium
Unassigned
Wily
Medium
Unassigned

Bug Description

This bug is for tracking the 4.2.0-16.19 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-Prepare-package-start:Thursday, 08. October 2015 13:45 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 08. October 2015 14:01 UTC
proposed-announcement-sent:True
kernel-Promote-to-release-end:Saturday, 10. October 2015 22:00 UTC
kernel-phase-changed:Saturday, 10. October 2015 23:00 UTC
kernel-Prepare-package-end:Saturday, 10. October 2015 23:00 UTC
kernel-Package-testing-start:Saturday, 10. October 2015 23:00 UTC
kernel-phase:Released

Tim Gardner (timg-tpi) on 2015-10-08
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: wily
Changed in kernel-development-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2015-10-08
description: updated
Andy Whitcroft (apw) wrote :

Tag temporarily dropped to let -15.18 out of -proposed as block tags are not versioned.

tags: removed: block-proposed
Adam Conrad (adconrad) on 2015-10-09
tags: added: block-proposed
Brad Figg (brad-figg) on 2015-10-09
description: updated

Here's the relevant information:

 wily linux 4.2.0-16.19 REGR summary<REGR: 4 MISS: 108 FAIL: 3 GOOD: 31>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Andy Whitcroft (apw) wrote :

The ADT testing is all clear, and the main tests look comparible with the 3 previous releases. All happy. Releasing kernel.

tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :
Download full text (7.8 KiB)

This bug was fixed in the package linux - 4.2.0-16.19

---------------
linux (4.2.0-16.19) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1504143
  * [Config] CONFIG_X86_LEGACY_VM86=y, CONFIG_VM86=y for i386
    - LP: #1499089
  * [Config] CONFIG_MODIFY_LDT_SYSCALL=y
    - LP: #1499089
  * SAUCE: intel_pstate: Allow manually forcing the use of HWP on Skylake-S
  * [Config] CONFIG_ARM64_ERRATUM_843419=n
    - LP: #1502946
  * [Config] CONFIG_CAVIUM_ERRATUM_22375=y, CONFIG_CAVIUM_ERRATUM_23154=y

  [ Christophe Lombard ]

  * SAUCE: (noup) cxl: Fix number of allocated pages in SPA
    - LP: #1499849

  [ Matthew R. Ochs ]

  * SAUCE: (noup) cxlflash: Fix to avoid corrupting port selection mask

  [ Robert Richter ]

  * SAUCE: (noup) irqchip/gicv3-its: Add range check for number of
    allocated pages
  * SAUCE: (noup) irqchip/gicv3: Workaround for Cavium ThunderX erratum
    23154
  * SAUCE: (noup) irqchip/gicv3-its: Read typer register outside the loop
  * SAUCE: (noup) irqchip/gicv3-its: Add HW revision detection and
    configuration
  * SAUCE: (noup) irqchip/gicv3-its: Workaround for Cavium ThunderX errata
    22375, 24313

  [ Upstream Kernel Changes ]

  * x86/compat: Define ARCH_WANT_OLD_COMPAT_IPC only for 32-bit compat
    - LP: #1499089
  * x86/compat: Clean up HAVE_UID16 config
    - LP: #1499089
  * x86/compat: Separate ia32 and x32 compat ABIs
    - LP: #1499089
  * x86/entry/vm86: Clean up saved_fs/gs
    - LP: #1499089
  * x86/entry/vm86: Preserve 'orig_ax'
    - LP: #1499089
  * x86/entry/vm86: Move userspace accesses to do_sys_vm86()
    - LP: #1499089
  * x86/kconfig/32: Rename CONFIG_VM86 and default it to 'n'
    - LP: #1499089
  * x86/ldt: Make modify_ldt() optional
    - LP: #1499089
  * x86/vm86: Move vm86 fields out of 'thread_struct'
    - LP: #1499089
  * x86/vm86: Move fields from 'struct kernel_vm86_struct' to 'struct vm86'
    - LP: #1499089
  * x86/vm86: Eliminate 'struct kernel_vm86_struct'
    - LP: #1499089
  * x86/vm86: Use the normal pt_regs area for vm86
    - LP: #1499089
  * x86/vm86: Move the vm86 IRQ definitions to vm86.h
    - LP: #1499089
  * x86/vm86: Clean up vm86.h includes
    - LP: #1499089
  * x86/vm86: Rename vm86->vm86_info to user_vm86
    - LP: #1499089
  * x86/vm86: Rename vm86->v86flags and v86mask
    - LP: #1499089
  * x86/selftests, x86/vm86: Improve entry_from_vm86 selftest
    - LP: #1499089
  * selftests/x86/vm86: Fix entry_from_vm86 test on 64-bit kernels
    - LP: #1499089
  * x86/vm86: Block non-root vm86(old) if mmap_min_addr != 0
    - LP: #1499089
  * x86/vm86: Fix the misleading CONFIG_VM86 Kconfig help text
    - LP: #1499089
  * netfilter: conntrack: use nf_ct_tmpl_free in CT/synproxy error paths
    - LP: #1503902

linux (4.2.0-15.18) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1503692

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()"
    Was incorrectly backported.

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ Tim Gardner ]

  * [Debian] config-check and prepare using ${DEBIAN}/config/annotations
...

Read more...

Changed in linux (Ubuntu Wily):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-10-10
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-development-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers